Index: trunk/source/visualization/externals/CVS/Entries
===================================================================
--- trunk/source/visualization/externals/CVS/Entries	(revision 1340)
+++ trunk/source/visualization/externals/CVS/Entries	(revision 1346)
@@ -1,4 +1,4 @@
 D/gl2ps////
 D/zlib////
-/CMakeLists.txt/1.1/Wed Sep 29 19:13:44 2010//
-/GNUmakefile/1.1/Wed Sep 29 19:13:52 2010//
+/CMakeLists.txt/1.1/Wed Sep 29 19:13:44 2010//Tgeant4-09-04-ref-00
+/GNUmakefile/1.1/Wed Sep 29 19:13:52 2010//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/externals/CVS/Tag
===================================================================
--- trunk/source/visualization/externals/CVS/Tag	(revision 1340)
+++ trunk/source/visualization/externals/CVS/Tag	(revision 1346)
@@ -1,1 +1,1 @@
-Tgeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: trunk/source/visualization/externals/gl2ps/CVS/Entries
===================================================================
--- trunk/source/visualization/externals/gl2ps/CVS/Entries	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/CVS/Entries	(revision 1346)
@@ -1,6 +1,6 @@
 D/include////
 D/src////
-/CMakeLists.txt/1.1/Wed Sep 29 19:14:00 2010//
-/GNUmakefile/1.5/Thu Sep 30 06:17:28 2010//
-/sources.cmake/1.1/Wed Sep 29 19:14:08 2010//
-/History/1.18/Wed Nov  3 16:40:34 2010//
+/CMakeLists.txt/1.1/Wed Sep 29 19:14:00 2010//Tgeant4-09-04-ref-00
+/GNUmakefile/1.5/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
+/History/1.21/Fri Nov 26 15:30:48 2010//Tgeant4-09-04-ref-00
+/sources.cmake/1.5/Wed Dec  1 17:12:56 2010//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/externals/gl2ps/CVS/Tag
===================================================================
--- trunk/source/visualization/externals/gl2ps/CVS/Tag	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/CVS/Tag	(revision 1346)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: trunk/source/visualization/externals/gl2ps/GNUmakefile
===================================================================
--- trunk/source/visualization/externals/gl2ps/GNUmakefile	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/GNUmakefile	(revision 1346)
@@ -18,4 +18,9 @@
 include $(G4INSTALL)/config/interactivity.gmk
 
+# NO need QT, then reset QTGLAGS
+QTFLAGS = ""
+QTLIBS  = ""
+GLQTLIBS  = ""
+
 ifdef G4LIB_BUILD_ZLIB
   CPPFLAGS += -I$(G4BASE)/visualization/externals/zlib/include
Index: trunk/source/visualization/externals/gl2ps/History
===================================================================
--- trunk/source/visualization/externals/gl2ps/History	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/History	(revision 1346)
@@ -1,3 +1,3 @@
-$Id: History,v 1.18 2010/11/03 16:40:34 lgarnier Exp $
+$Id: History,v 1.21 2010/11/13 10:37:57 allison Exp $
 -------------------------------------------------------------------
 
@@ -18,4 +18,13 @@
      ----------------------------------------------------------
 
+
+13th November 2010, John Allison  (visexternal-V09-03-03)
+- Geant4_gl2ps.h: Added #ifdef _WIN32, #define _USE_MATH_DEFINE.
+
+5th November 2010, John Allison  (visexternal-V09-03-02)
+- Fixed Linux warnings.
+
+5th November 2010, John Allison  (visexternal-V09-03-01)
+- Tagged.
 
 3rd November 2010, Laurent Garnier
Index: trunk/source/visualization/externals/gl2ps/include/CVS/Entries
===================================================================
--- trunk/source/visualization/externals/gl2ps/include/CVS/Entries	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/include/CVS/Entries	(revision 1346)
@@ -1,4 +1,4 @@
-/G4OpenGL2PSAction.hh/1.4/Thu Sep 30 06:17:28 2010//
-/Geant4_gl2ps.h/1.3/Wed Nov  3 15:19:14 2010//
-/gl2ps.h/1.3/Wed Nov  3 16:40:15 2010//
+/G4OpenGL2PSAction.hh/1.4/Mon Apr 26 16:28:18 2010//Tgeant4-09-04-ref-00
+/Geant4_gl2ps.h/1.4/Fri Nov 26 15:30:48 2010//Tgeant4-09-04-ref-00
+/gl2ps.h/1.3/Wed Nov  3 16:40:34 2010//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/externals/gl2ps/include/CVS/Tag
===================================================================
--- trunk/source/visualization/externals/gl2ps/include/CVS/Tag	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/include/CVS/Tag	(revision 1346)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: trunk/source/visualization/externals/gl2ps/include/G4OpenGL2PSAction.hh
===================================================================
--- trunk/source/visualization/externals/gl2ps/include/G4OpenGL2PSAction.hh	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/include/G4OpenGL2PSAction.hh	(revision 1346)
@@ -25,5 +25,5 @@
 //
 // $Id: G4OpenGL2PSAction.hh,v 1.4 2010/04/26 16:28:18 lgarnier Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: visexternal-V09-03-01 $
 //
 
Index: trunk/source/visualization/externals/gl2ps/include/Geant4_gl2ps.h
===================================================================
--- trunk/source/visualization/externals/gl2ps/include/Geant4_gl2ps.h	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/include/Geant4_gl2ps.h	(revision 1346)
@@ -232,3 +232,7 @@
 #include "gl2ps.h"
 
+#ifdef _WIN32
+#define _USE_MATH_DEFINES
 #endif
+
+#endif
Index: trunk/source/visualization/externals/gl2ps/src/CVS/Entries
===================================================================
--- trunk/source/visualization/externals/gl2ps/src/CVS/Entries	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/src/CVS/Entries	(revision 1346)
@@ -1,3 +1,3 @@
-/G4OpenGL2PSAction.cc/1.6/Wed Nov  3 16:40:34 2010//
-/gl2ps.cc/1.9/Wed Nov  3 15:22:18 2010//
+/G4OpenGL2PSAction.cc/1.6/Wed Nov  3 16:40:34 2010//Tgeant4-09-04-ref-00
+/gl2ps.cc/1.13/Wed Dec 22 10:23:43 2010//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/externals/gl2ps/src/CVS/Tag
===================================================================
--- trunk/source/visualization/externals/gl2ps/src/CVS/Tag	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/src/CVS/Tag	(revision 1346)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: trunk/source/visualization/externals/gl2ps/src/G4OpenGL2PSAction.cc
===================================================================
--- trunk/source/visualization/externals/gl2ps/src/G4OpenGL2PSAction.cc	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/src/G4OpenGL2PSAction.cc	(revision 1346)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGL2PSAction.cc,v 1.6 2010/11/03 16:40:34 lgarnier Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: visexternal-V09-03-01 $
 //
 // 
Index: trunk/source/visualization/externals/gl2ps/src/gl2ps.cc
===================================================================
--- trunk/source/visualization/externals/gl2ps/src/gl2ps.cc	(revision 1340)
+++ trunk/source/visualization/externals/gl2ps/src/gl2ps.cc	(revision 1346)
@@ -70,10 +70,10 @@
 #include "Geant4_gl2ps.h"
 
-#include <math.h>
+#include <cmath>
 #include <string.h>
 #include <sys/types.h>
 #include <stdarg.h>
 #include <time.h>
-#include <float.h>
+#include <cfloat>
 
 #define GL2PS_HAVE_ZLIB
@@ -97,5 +97,5 @@
 #define GL2PS_ZOFFSET       5.0e-2F
 #define GL2PS_ZOFFSET_LARGE 20.0F
-#define GL2PS_ZERO(arg)     (fabs(arg) < 1.e-20)
+#define GL2PS_ZERO(arg)     (std::fabs(arg) < 1.e-20)
 
 /* Primitive types */
@@ -725,7 +725,7 @@
   
   for(i = 1; i < n; i++){
-    if(fabs(rgba[0][0] - rgba[i][0]) > threshold[0] ||
-       fabs(rgba[0][1] - rgba[i][1]) > threshold[1] ||
-       fabs(rgba[0][2] - rgba[i][2]) > threshold[2])
+    if(std::fabs(rgba[0][0] - rgba[i][0]) > threshold[0] ||
+       std::fabs(rgba[0][1] - rgba[i][1]) > threshold[1] ||
+       std::fabs(rgba[0][2] - rgba[i][2]) > threshold[2])
       return GL_FALSE;
   }
@@ -3332,5 +3332,5 @@
 }
 
-static void gl2psPrintTeXBeginViewport(GLint viewport[4])
+static void gl2psPrintTeXBeginViewport(GLint[4])
 {
   glRenderMode(GL_FEEDBACK);
@@ -5032,5 +5032,9 @@
 }
 
+#if defined(GL2PS_HAVE_LIBPNG)
 static void gl2psPrintSVGPixmap(GLfloat x, GLfloat y, GL2PSimage *pixmap)
+#else
+static void gl2psPrintSVGPixmap(GLfloat, GLfloat, GL2PSimage*)
+#endif
 {
 #if defined(GL2PS_HAVE_LIBPNG)
Index: trunk/source/visualization/externals/zlib/CVS/Entries
===================================================================
--- trunk/source/visualization/externals/zlib/CVS/Entries	(revision 1340)
+++ trunk/source/visualization/externals/zlib/CVS/Entries	(revision 1346)
@@ -1,7 +1,7 @@
 D/include////
 D/src////
-/GNUmakefile/1.1/Thu Sep 30 06:17:31 2010//
-/History/1.1/Thu Sep 30 06:17:31 2010//
-/README/1.1/Mon Jul 12 14:53:17 2010//
-/sources.cmake/1.1/Wed Sep 29 19:14:24 2010//
-/CMakeLists.txt/1.2/Fri Oct  8 10:03:41 2010//
+/CMakeLists.txt/1.2/Thu Sep 30 13:56:02 2010//Tgeant4-09-04-ref-00
+/GNUmakefile/1.1/Thu May 12 19:39:31 2005//Tgeant4-09-04-ref-00
+/History/1.1/Wed May 25 23:18:52 2005//Tgeant4-09-04-ref-00
+/README/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/sources.cmake/1.1/Wed Sep 29 19:14:24 2010//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/externals/zlib/CVS/Tag
===================================================================
--- trunk/source/visualization/externals/zlib/CVS/Tag	(revision 1340)
+++ trunk/source/visualization/externals/zlib/CVS/Tag	(revision 1346)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: trunk/source/visualization/externals/zlib/include/CVS/Entries
===================================================================
--- trunk/source/visualization/externals/zlib/include/CVS/Entries	(revision 1340)
+++ trunk/source/visualization/externals/zlib/include/CVS/Entries	(revision 1346)
@@ -1,7 +1,7 @@
-/crc32.h/1.1/Mon Jul 12 14:53:16 2010//
-/deflate.h/1.1/Mon Jul 12 14:53:16 2010//
-/trees.h/1.1/Mon Jul 12 14:53:16 2010//
-/zconf.h/1.1/Mon Jul 12 14:53:16 2010//
-/zlib.h/1.1/Mon Jul 12 14:53:16 2010//
-/zutil.h/1.1/Mon Jul 12 14:53:16 2010//
+/crc32.h/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/deflate.h/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/trees.h/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/zconf.h/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/zlib.h/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/zutil.h/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/externals/zlib/include/CVS/Tag
===================================================================
--- trunk/source/visualization/externals/zlib/include/CVS/Tag	(revision 1340)
+++ trunk/source/visualization/externals/zlib/include/CVS/Tag	(revision 1346)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: trunk/source/visualization/externals/zlib/src/CVS/Entries
===================================================================
--- trunk/source/visualization/externals/zlib/src/CVS/Entries	(revision 1340)
+++ trunk/source/visualization/externals/zlib/src/CVS/Entries	(revision 1346)
@@ -1,7 +1,7 @@
-/adler32.cc/1.1/Thu Sep 30 06:17:32 2010//
-/compress.cc/1.1/Thu Sep 30 06:17:32 2010//
-/crc32.cc/1.1/Thu Sep 30 06:17:32 2010//
-/deflate.cc/1.1/Thu Sep 30 06:17:32 2010//
-/trees.cc/1.1/Thu Sep 30 06:17:33 2010//
-/zutil.cc/1.1/Thu Sep 30 06:17:33 2010//
+/adler32.cc/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/compress.cc/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/crc32.cc/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/deflate.cc/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/trees.cc/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
+/zutil.cc/1.1/Thu May 12 21:04:53 2005//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/externals/zlib/src/CVS/Tag
===================================================================
--- trunk/source/visualization/externals/zlib/src/CVS/Tag	(revision 1340)
+++ trunk/source/visualization/externals/zlib/src/CVS/Tag	(revision 1346)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00