Index: trunk/source/persistency/ascii/include/G4tgbDetectorBuilder.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbDetectorBuilder.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbDetectorBuilder.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbDetectorBuilder.hh,v 1.2.6.1 2010/06/14 15:09:19 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbDetectorBuilder.hh,v 1.5 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbDetectorConstruction.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbDetectorConstruction.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbDetectorConstruction.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbDetectorConstruction.hh,v 1.2 2008/12/18 12:58:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbDetectorConstruction.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbElement.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbElement.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbElement.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbElement.hh,v 1.2 2008/12/18 12:58:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbElement.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbIsotope.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbIsotope.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbIsotope.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbIsotope.hh,v 1.2 2008/12/18 12:58:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbIsotope.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbMaterial.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbMaterial.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbMaterial.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbMaterial.hh,v 1.5 2008/12/18 12:58:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbMaterial.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbMaterialMgr.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbMaterialMgr.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbMaterialMgr.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbMaterialMgr.hh,v 1.4 2008/12/18 12:58:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbMaterialMgr.hh,v 1.5 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbMaterialMixture.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbMaterialMixture.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbMaterialMixture.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbMaterialMixture.hh,v 1.2 2008/12/18 12:58:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbMaterialMixture.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByNoAtoms.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByNoAtoms.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByNoAtoms.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbMaterialMixtureByNoAtoms.hh,v 1.3 2008/12/18 12:58:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbMaterialMixtureByNoAtoms.hh,v 1.4 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByVolume.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByVolume.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByVolume.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbMaterialMixtureByVolume.hh,v 1.4 2008/12/18 12:58:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbMaterialMixtureByVolume.hh,v 1.5 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByWeight.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByWeight.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbMaterialMixtureByWeight.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbMaterialMixtureByWeight.hh,v 1.2 2008/12/18 12:58:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbMaterialMixtureByWeight.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbMaterialSimple.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbMaterialSimple.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbMaterialSimple.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbMaterialSimple.hh,v 1.2 2008/12/18 12:58:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbMaterialSimple.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbPlaceParamCircle.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbPlaceParamCircle.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbPlaceParamCircle.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4tgbPlaceParamCircle.hh,v 1.1 2008/10/23 14:43:43 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbPlaceParamLinear.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbPlaceParamLinear.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbPlaceParamLinear.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4tgbPlaceParamLinear.hh,v 1.1 2008/10/23 14:43:43 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbPlaceParamSquare.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbPlaceParamSquare.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbPlaceParamSquare.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4tgbPlaceParamSquare.hh,v 1.1 2008/10/23 14:43:43 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbPlaceParameterisation.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbPlaceParameterisation.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbPlaceParameterisation.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbPlaceParameterisation.hh,v 1.4 2008/11/21 15:37:18 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbPlaceParameterisation.hh,v 1.5 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbRotationMatrix.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbRotationMatrix.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbRotationMatrix.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbRotationMatrix.hh,v 1.2 2008/12/18 12:58:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbRotationMatrix.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbRotationMatrixMgr.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbRotationMatrixMgr.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbRotationMatrixMgr.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbRotationMatrixMgr.hh,v 1.2 2008/12/18 12:58:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbRotationMatrixMgr.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbVolume.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbVolume.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbVolume.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbVolume.hh,v 1.4 2008/12/18 12:58:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbVolume.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgbVolumeMgr.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgbVolumeMgr.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgbVolumeMgr.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgbVolumeMgr.hh,v 1.3 2008/12/18 12:58:28 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgbVolumeMgr.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrElement.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrElement.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrElement.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrElement.hh,v 1.2 2008/12/18 12:58:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrElement.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrElementFromIsotopes.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrElementFromIsotopes.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrElementFromIsotopes.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrElementFromIsotopes.hh,v 1.6 2008/12/18 12:58:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrElementFromIsotopes.hh,v 1.7 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrElementSimple.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrElementSimple.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrElementSimple.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrElementSimple.hh,v 1.6 2008/12/18 12:58:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrElementSimple.hh,v 1.7 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrEvaluator.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrEvaluator.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrEvaluator.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4tgrEvaluator.hh,v 1.1 2008/10/23 14:43:43 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrFileIn.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrFileIn.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrFileIn.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrFileIn.hh,v 1.3 2008/12/18 12:58:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrFileIn.hh,v 1.5 2010/10/13 15:20:01 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -77,5 +77,5 @@
   private:
 
-    G4tgrFileIn( const G4String& name ) : theName(name) {}
+    G4tgrFileIn( const G4String& name ) : theCurrentFile(-1), theName(name) {}
 
   private:
Index: trunk/source/persistency/ascii/include/G4tgrFileReader.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrFileReader.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrFileReader.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrFileReader.hh,v 1.2 2008/11/12 08:41:19 arce Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrFileReader.hh,v 1.4 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrIsotope.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrIsotope.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrIsotope.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrIsotope.hh,v 1.4 2008/12/18 12:58:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrIsotope.hh,v 1.5 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrLineProcessor.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrLineProcessor.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrLineProcessor.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrLineProcessor.hh,v 1.1 2008/10/23 14:43:43 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrLineProcessor.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrMaterial.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrMaterial.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrMaterial.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrMaterial.hh,v 1.5 2008/12/18 12:58:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrMaterial.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrMaterialFactory.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrMaterialFactory.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrMaterialFactory.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrMaterialFactory.hh,v 1.2 2008/12/18 12:58:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrMaterialFactory.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrMaterialMixture.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrMaterialMixture.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrMaterialMixture.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrMaterialMixture.hh,v 1.2 2008/12/18 12:58:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrMaterialMixture.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrMaterialSimple.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrMaterialSimple.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrMaterialSimple.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrMaterialSimple.hh,v 1.2 2008/12/18 12:58:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrMaterialSimple.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrMessenger.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrMessenger.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrMessenger.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4tgrMessenger.hh,v 1.1 2008/10/23 14:43:43 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrParameterMgr.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrParameterMgr.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrParameterMgr.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrParameterMgr.hh,v 1.2 2008/12/18 12:58:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrParameterMgr.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrPlace.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrPlace.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrPlace.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrPlace.hh,v 1.4 2008/12/18 12:58:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrPlace.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrPlaceDivRep.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrPlaceDivRep.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrPlaceDivRep.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrPlaceDivRep.hh,v 1.5 2008/12/18 12:58:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrPlaceDivRep.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrPlaceParameterisation.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrPlaceParameterisation.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrPlaceParameterisation.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrPlaceParameterisation.hh,v 1.7 2008/12/18 12:58:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrPlaceParameterisation.hh,v 1.8 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrPlaceSimple.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrPlaceSimple.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrPlaceSimple.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrPlaceSimple.hh,v 1.5 2008/12/18 12:58:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrPlaceSimple.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrRotationMatrix.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrRotationMatrix.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrRotationMatrix.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrRotationMatrix.hh,v 1.5 2008/12/18 12:58:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrRotationMatrix.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrRotationMatrixFactory.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrRotationMatrixFactory.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrRotationMatrixFactory.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrRotationMatrixFactory.hh,v 1.2 2008/12/18 12:59:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrRotationMatrixFactory.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrSolid.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrSolid.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrSolid.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrSolid.hh,v 1.2 2008/12/18 12:59:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrSolid.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrSolidBoolean.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrSolidBoolean.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrSolidBoolean.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrSolidBoolean.hh,v 1.2 2008/12/18 12:59:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrSolidBoolean.hh,v 1.3 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrUtils.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrUtils.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrUtils.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrUtils.hh,v 1.6 2008/12/18 12:59:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrUtils.hh,v 1.8 2010/12/15 11:29:54 arce Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -64,6 +64,5 @@
     static G4bool IsInteger( const G4double val,
                              const G4double precision = 1.e-6 );
-    static G4bool WordIsUnit( const G4String& word );
-    static G4bool WordIsFunction( const G4String& word ); 
+    static G4bool IsFunction( const G4String& word ); 
       // Checks that every character in a G4String is a number
       // (also '.' or exponencial notation: 'E')
Index: trunk/source/persistency/ascii/include/G4tgrVolume.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrVolume.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrVolume.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrVolume.hh,v 1.10 2009/11/23 11:38:54 arce Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrVolume.hh,v 1.11 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrVolumeAssembly.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrVolumeAssembly.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrVolumeAssembly.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrVolumeAssembly.hh,v 1.5 2008/12/18 12:59:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrVolumeAssembly.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrVolumeDivision.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrVolumeDivision.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrVolumeDivision.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrVolumeDivision.hh,v 1.5 2008/12/18 12:59:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrVolumeDivision.hh,v 1.6 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/persistency/ascii/include/G4tgrVolumeMgr.hh
===================================================================
--- trunk/source/persistency/ascii/include/G4tgrVolumeMgr.hh	(revision 1337)
+++ trunk/source/persistency/ascii/include/G4tgrVolumeMgr.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4tgrVolumeMgr.hh,v 1.5 2008/12/18 12:59:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4tgrVolumeMgr.hh,v 1.8 2010/10/13 07:56:55 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -53,6 +53,6 @@
 #include <map>
 
-typedef std::map< const G4String, const G4tgrSolid* > G4mapssol;
-typedef std::map< const G4String, const G4tgrVolume* > G4mapsvol;
+typedef std::map< G4String, G4tgrSolid* > G4mapssol;
+typedef std::map< G4String, G4tgrVolume* > G4mapsvol;
 typedef std::multimap< const G4String, const G4tgrPlace* > G4mmapspl;
 