Index: trunk/source/visualization/OpenGL/include/CVS/Entries
===================================================================
--- trunk/source/visualization/OpenGL/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/OpenGL/include/CVS/Entries	(revision 1348)
@@ -1,50 +1,50 @@
-/G4OpenGL.hh/1.9/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
-/G4OpenGLBitMapStore.hh/1.4/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
-/G4OpenGLFontBaseStore.hh/1.4/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateQt.hh/1.2/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateQtViewer.hh/1.7/Tue Dec  7 16:11:32 2010//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateSceneHandler.hh/1.15/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateViewer.hh/1.10/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateWin32.hh/1.8/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateWin32Viewer.hh/1.10/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateX.hh/1.8/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateXViewer.hh/1.10/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateXm.hh/1.8/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLImmediateXmViewer.hh/1.10/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLQtExportDialog.hh/1.7/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLQtMovieDialog.hh/1.4/Tue Oct  7 05:36:11 2008//Tgeant4-09-04-ref-00
-/G4OpenGLQtViewer.hh/1.25/Thu Nov 25 11:06:38 2010//Tgeant4-09-04-ref-00
-/G4OpenGLSceneHandler.hh/1.30/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
-/G4OpenGLSceneHandler.icc/1.9/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLStoredQt.hh/1.2/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLStoredQtViewer.hh/1.10/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
-/G4OpenGLStoredSceneHandler.hh/1.32/Fri Nov 26 15:30:48 2010//Tgeant4-09-04-ref-00
-/G4OpenGLStoredViewer.hh/1.10/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLStoredWin32.hh/1.8/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLStoredWin32Viewer.hh/1.8/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLStoredX.hh/1.8/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLStoredXViewer.hh/1.8/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLStoredXm.hh/1.7/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLStoredXmViewer.hh/1.8/Wed Feb  4 16:48:40 2009//Tgeant4-09-04-ref-00
-/G4OpenGLTransform3D.hh/1.8/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLViewer.hh/1.33/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
-/G4OpenGLViewerMessenger.hh/1.8/Fri Nov  5 06:25:23 2010//Tgeant4-09-04-ref-00
-/G4OpenGLWin32Viewer.hh/1.15/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXViewer.hh/1.32/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
-/G4OpenGLXmBox.hh/1.8/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmFourArrowButtons.hh/1.7/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmFramedBox.hh/1.8/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmPushButton.hh/1.8/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmRadioButton.hh/1.8/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmResources.hh/1.6/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmSeparator.hh/1.7/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmSliderBar.hh/1.8/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmTextField.hh/1.8/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmTopLevelShell.hh/1.7/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmVWidgetComponent.hh/1.7/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmVWidgetContainer.hh/1.7/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmVWidgetObject.hh/1.7/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmVWidgetShell.hh/1.7/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmViewer.hh/1.11/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
-/G4OpenGLXmViewerMessenger.hh/1.5/Wed Feb  4 16:48:41 2009//Tgeant4-09-04-ref-00
+/G4OpenGL.hh/1.9/dummy timestamp from new-entry//
+/G4OpenGLBitMapStore.hh/1.4/dummy timestamp from new-entry//
+/G4OpenGLFontBaseStore.hh/1.4/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateQt.hh/1.2/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateQtViewer.hh/1.7/Tue Dec  7 16:11:32 2010//
+/G4OpenGLImmediateSceneHandler.hh/1.15/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateViewer.hh/1.10/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateWin32.hh/1.8/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateWin32Viewer.hh/1.10/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateX.hh/1.8/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateXViewer.hh/1.10/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateXm.hh/1.8/Wed Feb  4 16:48:40 2009//
+/G4OpenGLImmediateXmViewer.hh/1.10/Wed Feb  4 16:48:40 2009//
+/G4OpenGLQtExportDialog.hh/1.7/Wed Feb  4 16:48:40 2009//
+/G4OpenGLQtMovieDialog.hh/1.4/Tue Oct  7 05:36:11 2008//
+/G4OpenGLQtViewer.hh/1.25/Thu Nov 25 11:06:38 2010//
+/G4OpenGLSceneHandler.hh/1.30/dummy timestamp from new-entry//
+/G4OpenGLSceneHandler.icc/1.9/Wed Feb  4 16:48:40 2009//
+/G4OpenGLStoredQt.hh/1.2/Wed Feb  4 16:48:40 2009//
+/G4OpenGLStoredQtViewer.hh/1.10/dummy timestamp from new-entry//
+/G4OpenGLStoredSceneHandler.hh/1.32/Fri Nov 26 15:30:48 2010//
+/G4OpenGLStoredViewer.hh/1.10/Wed Feb  4 16:48:40 2009//
+/G4OpenGLStoredWin32.hh/1.8/Wed Feb  4 16:48:40 2009//
+/G4OpenGLStoredWin32Viewer.hh/1.8/Wed Feb  4 16:48:40 2009//
+/G4OpenGLStoredX.hh/1.8/Wed Feb  4 16:48:40 2009//
+/G4OpenGLStoredXViewer.hh/1.8/Wed Feb  4 16:48:40 2009//
+/G4OpenGLStoredXm.hh/1.7/Wed Feb  4 16:48:40 2009//
+/G4OpenGLStoredXmViewer.hh/1.8/Wed Feb  4 16:48:40 2009//
+/G4OpenGLTransform3D.hh/1.9/Mon Jan  3 14:39:51 2011//
+/G4OpenGLViewer.hh/1.33/dummy timestamp from new-entry//
+/G4OpenGLViewerMessenger.hh/1.8/Fri Nov  5 06:25:23 2010//
+/G4OpenGLWin32Viewer.hh/1.15/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXViewer.hh/1.32/dummy timestamp from new-entry//
+/G4OpenGLXmBox.hh/1.8/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmFourArrowButtons.hh/1.7/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmFramedBox.hh/1.8/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmPushButton.hh/1.8/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmRadioButton.hh/1.8/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmResources.hh/1.6/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmSeparator.hh/1.7/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmSliderBar.hh/1.8/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmTextField.hh/1.8/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmTopLevelShell.hh/1.7/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmVWidgetComponent.hh/1.7/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmVWidgetContainer.hh/1.7/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmVWidgetObject.hh/1.7/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmVWidgetShell.hh/1.7/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmViewer.hh/1.11/Wed Feb  4 16:48:41 2009//
+/G4OpenGLXmViewerMessenger.hh/1.5/Wed Feb  4 16:48:41 2009//
 D
Index: trunk/source/visualization/OpenGL/include/G4OpenGL.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGL.hh	(revision 1346)
+++ trunk/source/visualization/OpenGL/include/G4OpenGL.hh	(revision 1348)
@@ -44,17 +44,23 @@
 #  include <GL/gl.h>
 #  include <GL/glu.h>
+#endif
+#ifdef G4VIS_USE_OPENGLXM
+#    include <GL/gl.h>
+#    include <GL/glu.h>
+#endif
+#ifdef G4VIS_USE_OPENGLWIN32
+#    include <GL/gl.h>
+#    include <GL/glu.h>
+#endif
 //# Do NOT include glx Here ! It has to be done, after all <Qxx...> includes
 //#  include <GL/glx.h>
-#else
-#  ifdef __APPLE__ &&  G4VIS_USE_OPENGLQT
-// Already done in Qt
+
+#ifdef  G4VIS_USE_OPENGLQT
+// Already done in Darwin-g++.gmk
 //#    include <OpenGL/gl.h>
 //#    include <OpenGL/glu.h>
-#    include <qgl.h>
-#  else
-#    include <GL/gl.h>
-#    include <GL/glu.h>
-#  endif
+#include <qgl.h>
 #endif
+
 
 #define G4OPENGL_FLT_BIG 1.e20
Index: trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh	(revision 1346)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh	(revision 1348)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLTransform3D.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// $Id: G4OpenGLTransform3D.hh,v 1.9 2010/12/11 17:04:07 allison Exp $
 // GEANT4 tag $Name:  $
 //
@@ -39,11 +39,10 @@
 
 #include "G4Transform3D.hh"
-
 #include "G4OpenGL.hh"
 
-class G4OpenGLTransform3D : public G4Transform3D {
+class G4OpenGLTransform3D {
 public:
   G4OpenGLTransform3D (const G4Transform3D &t);
-  const GLdouble* GetGLMatrix ();
+  const GLdouble* GetGLMatrix () {return m;}
 private:
   GLdouble m[16];