Index: trunk/config/sys/CVS/Entries
===================================================================
--- trunk/config/sys/CVS/Entries	(revision 1337)
+++ trunk/config/sys/CVS/Entries	(revision 1349)
@@ -1,12 +1,12 @@
-/AIX-xlC.gmk/1.8/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/DEC-cxx.gmk/1.12/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/Darwin-g++.gmk/1.42/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/HP-aCC.gmk/1.11/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/Linux-egcs.gmk/1.10/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/Linux-g++.gmk/1.50/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/Linux-icc.gmk/1.15/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/SGI-CC.gmk/1.8/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/SUN-CC.gmk/1.19/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/WIN32-VC.gmk/1.34/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/WIN32-g++.gmk/1.18/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
+/AIX-xlC.gmk/1.8/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/DEC-cxx.gmk/1.12/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/HP-aCC.gmk/1.11/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/Linux-egcs.gmk/1.10/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/Linux-g++.gmk/1.52/Tue Oct 26 09:07:48 2010//Tgeant4-09-04-ref-00
+/Linux-icc.gmk/1.16/Wed Dec 22 10:21:15 2010//Tgeant4-09-04-ref-00
+/SGI-CC.gmk/1.8/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/SUN-CC.gmk/1.19/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/WIN32-VC.gmk/1.35/Tue Oct 26 09:07:48 2010//Tgeant4-09-04-ref-00
+/WIN32-g++.gmk/1.18/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/Darwin-g++.gmk/1.52/Thu Dec  9 13:54:13 2010//
 D
Index: trunk/config/sys/CVS/Tag
===================================================================
--- trunk/config/sys/CVS/Tag	(revision 1337)
+++ trunk/config/sys/CVS/Tag	(revision 1349)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: trunk/config/sys/Darwin-g++.gmk
===================================================================
--- trunk/config/sys/Darwin-g++.gmk	(revision 1337)
+++ trunk/config/sys/Darwin-g++.gmk	(revision 1349)
@@ -1,7 +1,5 @@
 #
 # ------ MacOS-X ------
-#                                 MacOS 10.3 gcc-3.3
-#                                 MacOS 10.4 gcc-4.0
-#                                 MacOS 10.5 gcc-4.0
+#                                 MacOS 10.6 gcc-4.2
 #
 # Original author: Helmut Burkhardt - CERN
@@ -65,72 +63,64 @@
   ifndef OGLHOME
     OGLHOME  := /usr/X11R6
+#   OGLHOME  := /System/Library/Frameworks/OpenGL.framework
   endif
   ifndef OGLFLAGS
     OGLFLAGS  := -I$(OGLHOME)/include 
+#   OGLFLAGS := -I$(OGLHOME)/Headers 
   endif
   ifndef OGLLIBS
-    ifeq ($(shell uname -r | sed 's/\([0-9]*\).[0-9]*.[0-9]*/\1/'),9)
-      # the following lines are for building on MacOSX 10.5 "Leopard"
-      OGLLIBS   := $(shell test -f /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib && echo "-L/usr/X11R6/lib -lGLU -lGL -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib")
+    QTGLPATH  := $(shell test -f /System/Library/Frameworks/OpenGL.framework/OpenGL && echo "/System/Library/Frameworks/OpenGL.framework")
+    ifeq ($(QTGLPATH),/System/Library/Frameworks/OpenGL.framework)
+      DARWIN_VERSION = $(shell uname -r | sed 's/\([0-9]*\).[0-9]*.[0-9]*/\1/')
+      ifeq ($(DARWIN_VERSION),9)
+        # the following lines are for building on MacOSX 10.5 "Leopard"
+        OGLLIBS := -Wl,$(QTGLPATH)/Versions/A/Libraries/libGL.dylib -L$(OGLHOME)/lib -lGLU -lGL
+      else
+        ifeq ($(DARWIN_VERSION),10)
+          # the following lines are for building on MacOSX > 10.5
+          OGLLIBS := -F/System/Library/Frameworks -framework OpenGL -framework AGL 
+          ifeq ($(G4VIS_USE_OPENGLX),1)
+            OGLLIBS += -L$(OGLHOME)/lib -lGLU -lGL
+          endif
+        endif
+      endif
     else
-#      OGLLIBS   := -L$(OGLHOME)/lib -lGLU -lGL
-      OGLLIBS   := -F/System/Library/Frameworks/ -framework OpenGL -framework AGL
+      OGLLIBS := -L$(OGLHOME)/lib -lGLU -lGL
     endif
   endif
 
 # ---- QT Setup block -------------------------------------------------------
+
   ifndef QTHOME
-    QTHOME   := $(shell test -f /Library/Frameworks/Qt3Support.framework/Qt3Support && echo  "/Library/Frameworks" || echo "/sw")
+    QTHOME := /Library/Frameworks
   endif
   ifndef QTMOC
-   ifeq ($(QTHOME),/Library/Frameworks)
-     QTMOC      := /usr/bin/moc
-   else
-     QTMOC      := $(QTHOME)/bin/moc
-   endif
-  endif
-
-  QT_VERSION := $(shell $(QTMOC) 2>&1 -v | sed 's/.* .Qt \([0-9]\)\..*/\1/' )
-
-  ifndef QTFLAGS
-    ifeq ($(QT_VERSION),4)
-      QTFLAGS   := -I $(QTHOME)/QtCore.framework/Headers 
-      QTFLAGS   += -I $(QTHOME)/QtGui.framework/Headers 
-      QTFLAGS   += -I $(QTHOME)/QtOpenGL.framework/Headers
-      QTFLAGS   += -I $(QTHOME)/include/Qt -I$(QTHOME)/include
+    ifeq ($(QTHOME),/Library/Frameworks)
+      QTMOC      := /usr/bin/moc
     else
-      QTFLAGS   := -I $(QTHOME)/include/Qt -I$(QTHOME)/include
+      QTMOC      := $(QTHOME)/bin/moc
     endif
   endif
+  ifndef QTFLAGS
+    QTFLAGS   := -I $(QTHOME)/QtCore.framework/Headers 
+    QTFLAGS   += -I $(QTHOME)/QtGui.framework/Headers 
+    QTFLAGS   += -I $(QTHOME)/QtOpenGL.framework/Headers
+    QTFLAGS   += -I $(QTHOME)/include/Qt -I$(QTHOME)/include
+  endif
   ifndef QTLIBPATH
-    ifeq ($(QT_VERSION),3)
-      QTLIBPATH   := $(shell test -d $(QTHOME)/lib/qt3/lib && echo "$(QTHOME)/lib/qt3/lib" || echo "$(QTHOME)/lib" )
+    ifeq ($(QTHOME),/Library/Frameworks)
+      QTLIBPATH  := -F$(QTHOME)
     else
-      QTLIBPATH  := -F$(QTHOME)/lib -F$(QTHOME)
+      QTLIBPATH  := -F$(QTHOME)/lib
     endif
   endif
   ifndef QTLIBS
-    ifeq ($(QT_VERSION),3)
-      QTLIBS   := -L$(QTLIBPATH)
-      QT3_MT  := $(shell ls  $(QTLIBPATH)/libqt-mt.* 2>/dev/null | wc -l )
-      ifneq ($(QT3_MT),0)
-        QTLIBS  += -lqt-mt
-      else
-        QTLIBS  += -lqt
-      endif
-      QTLIBS   += -lqui
-    else
-      QTLIBS    := $(QTLIBPATH) -framework QtCore -framework QtGui
-    endif
+    QTLIBS    := $(QTLIBPATH) -framework QtCore -framework QtGui
   endif
   ifndef GLQTLIBS
-    ifeq ($(QT_VERSION),3)
-        # already done in QTLIBS
-        #      GLQTLIBS    := $(QTLIBS)
-    else
-      GLQTLIBS    := $(QTLIBPATH) -framework QtCore -framework QtGui
-      GLQTLIBS    += -framework QtOpenGL
-    endif
+    GLQTLIBS    := $(QTLIBPATH) -framework QtCore -framework QtGui
+    GLQTLIBS    += -framework QtOpenGL
   endif
+
 #----------------------------------------------------------------------------
 
Index: trunk/config/sys/Linux-g++.gmk
===================================================================
--- trunk/config/sys/Linux-g++.gmk	(revision 1337)
+++ trunk/config/sys/Linux-g++.gmk	(revision 1349)
@@ -77,4 +77,5 @@
 
 # ---- QT Setup block -------------------------------------------------------
+
   ifndef QTHOME
     QTHOME     := /usr
@@ -87,56 +88,23 @@
 
   ifndef QTFLAGS
-    ifeq ($(QT_VERSION),4)
-      QTFLAGS   += -I$(QTHOME)/include
-      QTFLAGS   += -I $(QTHOME)/include/QtCore 
-      QTFLAGS   += -I $(QTHOME)/include/QtGui 
-      QTFLAGS   += -I $(QTHOME)/include/QtOpenGL 
-    else
-      QTFLAGS := -I$(QTHOME)/include/Qt -I$(QTHOME)/include
-
-      # If Qt is not located in the STANDARD path, try to find it in some
-      # other places.(Ex: for ubuntu 8.10)
-      QT_ALT1 := $(shell ls  $(QTHOME)/include/qt$(QT_VERSION)/*.h 2>/dev/null | wc -l )
-      QT_ALT2 := $(shell ls  $(QTHOME)/include/qt$(QT_VERSION)/Qt/*.h 2>/dev/null | wc -l )
-      ifneq ($(QT_ALT1),0)
-        QTFLAGS := -I$(QTHOME)/include/qt$(QT_VERSION)
-      endif
-      ifneq ($(QT_ALT2),0)
-        QTFLAGS := -I$(QTHOME)/include/qt$(QT_VERSION)/Qt
-      endif
-    endif
+    QTFLAGS   := -I$(QTHOME)/include -I$(QTHOME)/include/Qt
+    QTFLAGS   += -I$(QTHOME)/include/QtCore 
+    QTFLAGS   += -I$(QTHOME)/include/QtGui 
+    QTFLAGS   += -I$(QTHOME)/include/QtOpenGL 
   endif
   ifndef QTLIBPATH
-    QT_SEARCH_LIB1 := $(shell ls  $(QTHOME)/lib/qt$(QT_VERSION)/libq* 2>/dev/null | wc -l )
-    QT_SEARCH_LIB2 := $(shell ls  $(QTHOME)/lib/libq*  2>/dev/null | wc -l )
-    ifneq ($(QT_SEARCH_LIB1),0)
-      QTLIBPATH   := $(QTHOME)/lib/qt$(QT_VERSION)
-    endif
-    ifneq ($(QT_SEARCH_LIB2),0)
-      QTLIBPATH   := $(QTHOME)/lib
+    QTLIBPATH := $(QTHOME)/lib
+    QT_SEARCH_LIB := $(shell ls  $(QTLIBPATH)/qt$(QT_VERSION)/libq* 2>/dev/null | wc -l )
+    ifneq ($(QT_SEARCH_LIB),0)
+      QTLIBPATH := $(QTHOME)/lib/qt$(QT_VERSION)
     endif
   endif
   ifndef QTLIBS
-    QTLIBS   := -L$(QTLIBPATH)
-    ifeq ($(QT_VERSION),3)
-      QT3_MT  := $(shell ls  $(QTLIBPATH)/libqt-mt.* 2>/dev/null | wc -l )
-      ifneq ($(QT3_MT),0)
-        QTLIBS  += -lqt-mt
-      else
-        QTLIBS  += -lqt
-      endif
-      QTLIBS   += -lqui
-    else
-      QTLIBS    += -lQtCore -lQtGui
-    endif
+    QTLIBS   := -L$(QTLIBPATH) -lQtCore -lQtGui
   endif
   ifndef GLQTLIBS
-    ifeq ($(QT_VERSION),3)
-        # already done in QTLIBS
-        #      GLQTLIBS    := $(QTLIBS)
-    else
-      GLQTLIBS    := -L$(QTLIBPATH) -lQtCore -lQtGui -lQtOpenGL
-    endif
+    GLQTLIBS := -L$(QTLIBPATH) -lQtCore -lQtGui -lQtOpenGL
   endif
+
 #----------------------------------------------------------------------------
 
Index: trunk/config/sys/Linux-icc.gmk
===================================================================
--- trunk/config/sys/Linux-icc.gmk	(revision 1337)
+++ trunk/config/sys/Linux-icc.gmk	(revision 1349)
@@ -25,4 +25,5 @@
     FCFLAGS   += -fPIC
     CCFLAGS   += -fPIC
+    LDFLAGS   += -i-dynamic
   endif
   G4RUNPATHOPTION := -Wl,-rpath -Wl,
Index: trunk/config/sys/WIN32-VC.gmk
===================================================================
--- trunk/config/sys/WIN32-VC.gmk	(revision 1337)
+++ trunk/config/sys/WIN32-VC.gmk	(revision 1349)
@@ -48,19 +48,9 @@
   endif
 
-  QT_VERSION  := $(shell test -f $(QTHOME)/lib/Qt3Support4.lib && echo QT4 || echo QT3)
-
   ifndef QTLIBS
-    ifeq ($(QT_VERSION),QT3)
-      QTLIBS   := -L$(QTHOME)/lib -lqt-mt
-    else
-      QTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib
-    endif
+    QTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib
   endif
   ifndef GLQTLIBS
-    ifeq ($(QT_VERSION),QT3)
-      GLQTLIBS   := -L$(QTHOME)/lib -lqt-mt
-    else
-      GLQTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtOpenGL4.lib
-    endif
+    GLQTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtOpenGL4.lib
   endif
 