Index: trunk/source/processes/hadronic/models/abla/include/G4Abla.hh
===================================================================
--- trunk/source/processes/hadronic/models/abla/include/G4Abla.hh	(revision 1350)
+++ trunk/source/processes/hadronic/models/abla/include/G4Abla.hh	(revision 1350)
@@ -0,0 +1,333 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4Abla.hh,v 1.1 2008/02/27 18:31:11 miheikki Exp $ 
+// Translation of INCL4.2/ABLA V3 
+// Pekka Kaitaniemi, HIP (translation)
+// Christelle Schmidt, IPNL (fission code)
+// Alain Boudard, CEA (contact person INCL/ABLA)
+// Aatos Heikkinen, HIP (project coordination)
+
+#include "globals.hh"
+
+#include "G4AblaDataDefs.hh"
+#include "G4InclDataDefs.hh"
+
+/**
+ *  Class containing ABLA de-excitation code.
+ */
+
+class G4Abla {
+
+public:
+  /**
+   * Basic constructor.
+   */
+  G4Abla();
+
+  /**
+   * This constructor is used by standalone test driver and the Geant4 interface.
+   *
+   * @param aHazard random seeds
+   * @param aVolant data structure for ABLA output
+   * @param aVarNtp data structure for transfering ABLA output to Geant4 interface
+   */
+  G4Abla(G4Hazard *aHazard, G4Volant *aVolant, G4VarNtp *aVarntp);
+
+  /**
+   * Constructor that is to be used only for testing purposes.
+   * @param aHazard random seeds
+   * @param aVolant data structure for ABLA output   
+   */
+  G4Abla(G4Hazard *hazard, G4Volant *volant);
+
+  /**
+   * Basic destructor.
+   */
+  ~G4Abla();
+
+  /**
+   * Set verbosity level.
+   */
+  void setVerboseLevel(G4int level);
+
+  /**
+   * Main interface to the de-excitation code.
+   *
+   * @param nucleusA mass number of the nucleus
+   * @param nucleusZ charge number of the nucleus
+   * @param nucleusMass mass of the nucleus
+   * @param excitationEnergy excitation energy of the nucleus
+   * @param angularMomentum angular momentum of the nucleus (produced as output by INCL4)
+   * @param recoilEnergy recoil energy of the nucleus
+   * @param momX momentum x-component
+   * @param momY momentum y-component
+   * @param momZ momentum z-component
+   * @param eventnumber number of the event
+   */
+  void breakItUp(G4double nucleusA, G4double nucleusZ, G4double nucleusMass, G4double excitationEnergy,
+		 G4double angularMomentum, G4double recoilEnergy, G4double momX, G4double momY, G4double momZ,
+		 G4int eventnumber);
+
+  // Evaporation
+public:
+  /**
+   * Initialize ABLA evaporation code.
+   *
+   */
+  void initEvapora();
+
+  /**
+   * Coefficient of collective enhancement including damping                         
+   * Input: z,a,bet,sig,u                                                  
+   * Output: qr - collective enhancement factor                            
+   * See  junghans et al., nucl. phys. a 629 (1998) 635                    
+   * @param z charge number
+   * @param a mass number
+   * @param bet beta deformation
+   * @param sig perpendicular spin cut-off factor
+   * @param u Energy
+   * @return Coefficient of collective enhancement   
+   */
+  void qrot(G4double z, G4double a, G4double bet, G4double sig, G4double u, G4double *qr);
+
+  /**
+   * Model de la goutte liquide de c. f. weizsacker.
+   * usually an obsolete option
+   */
+  void mglw(G4double a, G4double z, G4double *el);
+
+  /**
+   * Mglms
+   */
+  void mglms(G4double a, G4double z, G4int refopt4, G4double *el);
+
+  /**
+   *
+   */
+  //  G4double spdef(G4int a, G4int z, G4int optxfis);
+
+  /**
+   * Calculation of fissility parameter
+   */
+  //  G4double fissility(int a,int z, int optxfis);
+
+  /**
+   * Main evaporation routine.
+   */
+  void evapora(G4double zprf, G4double aprf, G4double ee, G4double jprf, 
+	       G4double *zf_par, G4double *af_par, G4double *mtota_par,
+	       G4double *pleva_par, G4double *pxeva_par, G4double *pyeva_par,
+	       G4int *ff_par, G4int *inttype_par, G4int *inum_par);
+
+  /**
+   * Calculation of particle emission probabilities.
+   */
+  void direct(G4double zprf,G4double a, G4double ee, G4double jprf, 
+	      G4double *probp_par, G4double *probn_par, G4double *proba_par, 
+	      G4double *probf_par, G4double *ptotl_par, G4double *sn_par, G4double *sbp_par, G4double *sba_par, G4double *ecn_par, 
+	      G4double *ecp_par,G4double *eca_par, G4double *bp_par, G4double *ba_par, G4int inttype, G4int inum, G4int itest);
+
+  /**
+   * Level density parameters.
+   */
+  void densniv(G4double a, G4double z, G4double ee, G4double esous, G4double *dens, G4double bshell, G4double bs, G4double bk, 
+	       G4double *temp, G4int optshp, G4int optcol, G4double defbet);
+
+  /**
+   * This subroutine calculates the fission barriers                                                                  
+   * of the liquid-drop model of Myers and Swiatecki (1967).                                                                 
+   * Analytic parameterization of Dahlinger 1982 
+   * replaces tables. Barrier heights from Myers and Swiatecki                                                                
+   */
+  G4double bfms67(G4double zms, G4double ams);
+
+  /**
+   * This subroutine calculates the ordinary legendre polynomials of   
+   * order 0 to n-1 of argument x and stores them in the vector pl.    
+   * They are calculated by recursion relation from the first two      
+   * polynomials.                                                      
+   * Written by A.J.Sierk  LANL  t-9  February, 1984                   
+   */
+  void lpoly(G4double x, G4int n, G4double pl[]);
+
+  /**
+   * This function will calculate the liquid-drop nuclear mass for spheri
+   * configuration according to the preprint NUCLEAR GROUND-STATE        
+   * MASSES and DEFORMATIONS by P. Mo"ller et al. from August 16, 1993 p.
+   * All constants are taken from this publication for consistency.      
+   */
+  G4double eflmac(G4int ia, G4int iz, G4int flag, G4int optshp);
+
+  /**
+   * Procedure for calculating the pairing correction to the binding   
+   * energy of a specific nucleus.
+   */
+  void appariem(G4double a, G4double z, G4double *del);
+
+  /**
+   * PROCEDURE FOR CALCULATING THE PARITY OF THE NUMBER N.             
+   * RETURNS -1 IF N IS ODD AND +1 IF N IS EVEN                        
+   */
+  void parite(G4double n, G4double *par);
+
+  /**
+   * RISE TIME IN WHICH THE FISSION WIDTH HAS REACHED      
+   * 90 PERCENT OF ITS FINAL VALUE
+   */
+  G4double tau(G4double bet, G4double homega, G4double ef, G4double t);
+
+  /**
+   * KRAMERS FAKTOR  - REDUCTION OF THE FISSION PROBABILITY       
+   * INDEPENDENT OF EXCITATION ENERGY 
+   */
+  G4double cram(G4double bet, G4double homega);
+
+  /**
+   * CALCULATION OF THE SURFACE BS OR CURVATURE BK OF A NUCLEUS        
+   * RELATIVE TO THE SPHERICAL CONFIGURATION                           
+   * BASED ON  MYERS, DROPLET MODEL FOR ARBITRARY SHAPES               
+   */
+  G4double bipol(int iflag, G4double y);
+
+  /**
+   * THIS SUBROUTINE RETURNS THE BARRIER HEIGHT BFIS, THE              
+   * GROUND-STATE ENERGY SEGS, IN MEV, AND THE ANGULAR MOMENTUM        
+   * AT WHICH THE FISSION BARRIER DISAPPEARS, LMAX, IN UNITS OF        
+   * H-BAR, WHEN CALLED WITH INTEGER AGUMENTS IZ, THE ATOMIC           
+   * NUMBER, IA, THE ATOMIC MASS NUMBER, AND IL, THE ANGULAR           
+   * MOMENTUM IN UNITS OF H-BAR. (PLANCK'S CONSTANT DIVIDED BY         
+   * 2*PI).                                                            
+   */
+  void barfit(G4int iz, G4int ia, G4int il, G4double *sbfis, G4double *segs, G4double *selmax);
+
+  /**
+   * TIRAGE ALEATOIRE DANS UNE EXPONENTIELLLE : Y=EXP(-X/T)
+   */ 
+  G4double expohaz(G4int k, G4double T);
+
+  /**
+   * DISTRIBUTION DE MAXWELL
+   */
+  G4double fd(G4double E);
+
+  /**
+   *FONCTION INTEGRALE DE FD(E)
+   */
+  G4double f(G4double E);
+
+  /**
+   * tirage aleatoire dans une maxwellienne
+   */
+  G4double fmaxhaz(G4double T);
+
+  /**
+   *
+   */
+  G4double pace2(G4double a, G4double z);
+
+  /**
+   *
+   */
+  void guet(G4double *x_par, G4double *z_par, G4double *find_par);
+
+  // Fission
+public:
+  /**
+   *
+   */
+  G4double spdef(G4int a, G4int z, G4int optxfis);
+
+  /**
+   *
+   */
+  G4double fissility(G4int a, G4int z, G4int optxfis);
+
+//   void evapora(G4double zprf, G4double aprf, G4double ee, G4double jprf,
+// 	       G4double *zf_par, G4double *af_par, G4double *mtota_par,
+// 	       G4double *pleva_par, G4double *pxeva_par);
+//  G4double bfms67(G4double zms, G4double ams);
+  //  void lpoly(G4double x, G4int n, G4double pl[]);
+  //  G4double expohaz(G4int k, G4double T);
+  //  G4double fd(G4double E);
+  //  G4double f(G4double E);
+  //  G4double fmaxhaz(G4double k, G4double T);
+  void even_odd(G4double r_origin,G4double r_even_odd,G4int &i_out);
+  G4double umass(G4double z,G4double n,G4double beta);
+  G4double ecoul(G4double z1,G4double n1,G4double beta1,G4double z2,G4double n2,G4double beta2,G4double d);
+  void fissionDistri(G4double &a,G4double &z,G4double &e,
+		     G4double &a1,G4double &z1,G4double &e1,G4double &v1,
+		     G4double &a2,G4double &z2,G4double &e2,G4double &v2);
+  void standardRandom(G4double *rndm, G4long *seed);
+  G4double haz(G4int k);
+  G4double gausshaz(int k, double xmoy, double sig);
+
+    
+public:
+  // Coordinate system transformations:
+  void lorab(G4double gam, G4double eta, G4double ein, G4double pin[],
+	     G4double *eout, G4double pout[]);
+
+  void translab(G4double gamrem, G4double etrem, G4double csrem[4], G4int nopart, G4int ndec);
+  void translabpf(G4double masse1, G4double t1, G4double p1, G4double ctet1,
+		  G4double phi1, G4double gamrem, G4double etrem, G4double R[][4],
+		  G4double *plab1, G4double *gam1, G4double *eta1, G4double csdir[]);
+
+  void rotab(G4double R[4][4], G4double pin[4], G4double pout[4]);
+
+  // Utils
+  G4int min(G4int a, G4int b);
+  G4double min(G4double a, G4double b);
+  G4int max(G4int a, G4int b);
+  G4double max(G4double a, G4double b);
+
+  G4int nint(G4double number);
+  G4int secnds(G4int x);
+  G4int mod(G4int a, G4int b);
+  G4double dmod(G4double a, G4double b);
+  G4double dint(G4double a);
+  G4int idint(G4double a);
+  G4int idnint(G4double value);
+  G4double utilabs(G4double a);
+  G4double dmin1(G4double a, G4double b, G4double c);
+
+private:
+  G4int verboseLevel;
+  G4int ilast;
+
+  G4Pace *pace;
+  G4Hazard *hazard;
+  G4Ald *ald;
+  G4Ablamain *ablamain;
+  G4Emdpar *emdpar;
+  G4Eenuc *eenuc;
+  G4Ec2sub *ec2sub;
+  G4Ecld *ecld; 
+  G4Fb *fb;
+  G4Fiss *fiss;
+  G4Opt *opt;
+  G4Volant *volant;
+  G4VarNtp *varntp;  
+};
Index: trunk/source/processes/hadronic/models/abla/include/G4AblaDataDefs.hh
===================================================================
--- trunk/source/processes/hadronic/models/abla/include/G4AblaDataDefs.hh	(revision 1350)
+++ trunk/source/processes/hadronic/models/abla/include/G4AblaDataDefs.hh	(revision 1350)
@@ -0,0 +1,229 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4AblaDataDefs.hh,v 1.1 2008/02/27 18:31:11 miheikki Exp $ 
+// Translation of INCL4.2/ABLA V3 
+// Pekka Kaitaniemi, HIP (translation)
+// Christelle Schmidt, IPNL (fission code)
+// Alain Boudard, CEA (contact person INCL/ABLA)
+// Aatos Heikkinen, HIP (project coordination)
+
+// Data structures needed by ABLA evaporation code.
+
+#ifndef G4AblaDataDefs_hh
+#define G4AblaDataDefs_hh 1
+
+// ABLA
+
+class G4Nevent {
+public:
+  G4Nevent() {};
+  ~G4Nevent() {};
+  
+  G4int ii;
+};
+
+// ABLA
+#define PACESIZEROWS 500
+#define PACESIZECOLS 500
+/**
+ * Masses.
+ */
+
+class G4Pace {
+
+public:
+  G4Pace() {};
+
+  ~G4Pace() {};
+  
+  G4double dm[PACESIZEROWS][PACESIZECOLS];
+};
+
+#define EC2SUBROWS 154
+#define EC2SUBCOLS 99
+  /**
+   *
+   */
+
+class G4Ec2sub {
+public:
+  G4Ec2sub() {};
+
+  ~G4Ec2sub() {};
+
+  G4double ecnz[EC2SUBROWS][EC2SUBCOLS]; 
+};
+
+class G4Ald {
+public:
+  /**
+   * 
+   */
+  G4Ald() {};
+  ~G4Ald() {};
+  
+  G4double av,as,ak,optafan;
+};
+
+class G4Ablamain {
+public:
+  G4Ablamain() {};
+  ~G4Ablamain() {};
+  
+  G4double ap,zp,at,zt,eap,beta,bmaxnuc,crtot,crnuc,r_0, r_p,r_t,pi,bfpro,snpro,sppro,shell;
+  G4int imax, inum;
+};
+
+#define ECLDROWS 154
+#define ECLDCOLS 99
+/**
+ * Shell corrections and deformations.
+ */
+
+class G4Ecld {
+
+public:
+  G4Ecld() {};
+  ~G4Ecld() {};
+
+  /**
+   * Ground state shell correction frldm for a spherical ground state.
+   */
+  G4double ecgnz[ECLDROWS][ECLDCOLS];
+
+  /**
+   * Shell correction for the saddle point (now: == 0).
+   */
+  G4double ecfnz[ECLDROWS][ECLDCOLS];
+
+  /**
+   * Difference between deformed ground state and ldm value.
+   */
+  G4double vgsld[ECLDROWS][ECLDCOLS]; 
+
+  /**
+   * Alpha ground state deformation (this is not beta2!)       
+   * beta2 = std::sqrt(5/(4pi)) * alpha 
+   */
+  G4double alpha[ECLDROWS][ECLDCOLS];
+};
+
+class G4Fiss {
+  /**
+   * Options and parameters for fission channel.
+   */
+
+public:
+  G4Fiss() {};
+  ~G4Fiss() {};
+  
+  G4double akap,bet,homega,koeff,ifis;
+  G4int optshp, optxfis,optles,optcol;
+};
+
+#define FBROWS 101
+#define FBCOLS 161
+/**
+ * Fission barriers.
+ */
+ 
+class G4Fb {
+  
+public:
+  G4Fb() {};
+  ~G4Fb() {;}
+  
+  //  G4double efa[FBROWS][FBCOLS];
+  G4double efa[FBCOLS][FBROWS];
+};
+
+/**
+ * Options
+ */
+
+class G4Opt {
+
+public:
+  G4Opt() {};
+  ~G4Opt() {};
+  
+  G4int optemd,optcha;
+  G4double eefac;                                  
+};
+
+#define EENUCSIZE 2002
+#define XHESIZE 50
+class G4Eenuc {
+public:
+  G4Eenuc() {};
+  ~G4Eenuc() {};
+  
+  G4double she[EENUCSIZE],xhe[XHESIZE][EENUCSIZE];                                            
+};
+
+#define EMDPARSIZE 1000
+/**
+ * Energies widths and cross sections for em excitation.
+ */
+
+class G4Emdpar {
+
+public:
+  G4Emdpar() {};
+  ~G4Emdpar() {};
+  
+  G4double egdr,egqr,fwhmgdr,fwhmgqr,cremde1,cremde2;                  
+  G4double ae1[EMDPARSIZE],be1[EMDPARSIZE],ce1[EMDPARSIZE],ae2[EMDPARSIZE];      
+  G4double be2[EMDPARSIZE],ce2[EMDPARSIZE],sre1[EMDPARSIZE],sre2[EMDPARSIZE];
+  G4double xre1[EMDPARSIZE],xre2[EMDPARSIZE],ds1,ds2;                             
+};
+
+//#define VOLANTSIZE 200
+#define VOLANTSIZE 2000
+/**
+ * Evaporation and fission output data.
+ */
+
+class G4Volant {
+  
+public:
+  G4Volant() {};
+  ~G4Volant() {};
+
+  void dump()
+  {
+    G4cout <<"i \t ACV \t ZPCV \t PCV" << G4endl; 
+    for(G4int i = 0; i <= iv; i++) {
+      G4cout << "volant" << i << "\t" << acv[i] << " \t " << zpcv[i] << " \t " << pcv[i] << G4endl;
+    }
+  }
+
+  G4double acv[VOLANTSIZE],zpcv[VOLANTSIZE],pcv[VOLANTSIZE],xcv[VOLANTSIZE];
+  G4double ycv[VOLANTSIZE],zcv[VOLANTSIZE];
+  G4int iv; 
+};
+
+#endif
Index: trunk/source/processes/hadronic/models/abla/include/G4AblaDataFile.hh
===================================================================
--- trunk/source/processes/hadronic/models/abla/include/G4AblaDataFile.hh	(revision 1350)
+++ trunk/source/processes/hadronic/models/abla/include/G4AblaDataFile.hh	(revision 1350)
@@ -0,0 +1,57 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4AblaDataFile.hh,v 1.1 2008/02/27 18:31:11 miheikki Exp $ 
+// Translation of INCL4.2/ABLA V3 
+// Pekka Kaitaniemi, HIP (translation)
+// Christelle Schmidt, IPNL (fission code)
+// Alain Boudard, CEA (contact person INCL/ABLA)
+// Aatos Heikkinen, HIP (project coordination)
+
+#ifndef G4AblaDataFile_hh
+#define G4AblaDataFile_hh 1
+
+#include "G4InclAblaVirtualData.hh"
+
+/**
+ * Read INCL/ABLA data from files.
+ */
+class G4AblaDataFile : public G4InclAblaVirtualData {
+
+public:
+  G4AblaDataFile();
+
+  /**
+   * Read all data from files.
+   */
+  bool readData();
+
+private:
+  G4int verboseLevel;
+  
+  G4String *dataPath;
+};
+
+#endif
Index: trunk/source/processes/hadronic/models/abla/include/G4AblaEvaporation.hh
===================================================================
--- trunk/source/processes/hadronic/models/abla/include/G4AblaEvaporation.hh	(revision 1350)
+++ trunk/source/processes/hadronic/models/abla/include/G4AblaEvaporation.hh	(revision 1350)
@@ -0,0 +1,104 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4AblaEvaporation.hh,v 1.1 2008/02/27 18:31:11 miheikki Exp $
+// Defines an interface to evaporation models of Bertini cascase (BERT)
+// based on INUCL code.
+//
+#ifndef G4ABLAEVAPORATION_h
+#define G4ABLAEVAPORATION_h 1
+
+#include "globals.hh"
+#include "G4VEvaporation.hh"
+#include "G4Fragment.hh"
+#include "G4DynamicParticle.hh"
+
+#include "G4Abla.hh"
+
+//#include "G4VCoulombBarrier.hh"
+
+//#define DEBUG
+
+/**
+ * Geant4 interface to the ABLA evaporation code.
+ */
+
+class G4AblaEvaporation : public G4VEvaporation {
+public:
+  /**
+   * Constructor.
+   */
+  G4AblaEvaporation();
+
+  /**
+   * Destructor.
+   */
+  ~G4AblaEvaporation();
+
+private:
+  G4AblaEvaporation(const G4AblaEvaporation &right);
+
+  const G4AblaEvaporation & operator=(const G4AblaEvaporation &right);
+  G4bool operator==(const G4AblaEvaporation &right) const;
+  G4bool operator!=(const G4AblaEvaporation &right) const;
+  void fillResult( std::vector<G4DynamicParticle *> secondaryParticleVector,
+		   G4FragmentVector * aResult );
+
+public:
+
+  /**
+   * The method for calling
+   */
+  G4FragmentVector * BreakItUp(const G4Fragment &theNucleus);
+       
+  void setVerboseLevel( const G4int verbose );
+
+private:
+  /**
+   * Seeds for the random number generator.
+   */
+  G4Hazard *hazard; 
+
+  /**
+   * The verbosity of the interface class.
+   */
+  G4int verboseLevel;
+
+  /**
+   * Event number used in the ABLA code.
+   */
+  G4int eventNumber;
+  
+  // For Coulomb Barrier calculation
+  //  G4VCoulombBarrier * theCoulombBarrierPtr;
+  G4double CoulombBarrier;
+
+#ifdef DEBUG
+
+#endif
+
+};
+
+#endif
Index: trunk/source/processes/hadronic/models/abla/include/G4AblaVirtualData.hh
===================================================================
--- trunk/source/processes/hadronic/models/abla/include/G4AblaVirtualData.hh	(revision 1350)
+++ trunk/source/processes/hadronic/models/abla/include/G4AblaVirtualData.hh	(revision 1350)
@@ -0,0 +1,113 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4AblaVirtualData.hh,v 1.1 2008/02/27 18:31:11 miheikki Exp $ 
+// Translation of INCL4.2/ABLA V3 
+// Pekka Kaitaniemi, HIP (translation)
+// Christelle Schmidt, IPNL (fission code)
+// Alain Boudard, CEA (contact person INCL/ABLA)
+// Aatos Heikkinen, HIP (project coordination)
+
+#ifndef G4AblaVirtualData_hh
+#define G4AblaVirtualData_hh 1
+
+#include "globals.hh"
+
+/**
+ * An interface to data used by INCL and ABLA. This interface allows
+ * us to abstract the actual source of data. Currently the data is
+ * read from datafiles by using class G4InclAblaDataFile.  @see
+ * G4InclAblaDataFile
+ */
+
+class G4AblaVirtualData {
+protected:
+
+  /**
+   * Constructor
+   */
+  G4AblaVirtualData();
+
+public:
+  /**
+   * Set the value of Alpha.
+   */
+  G4bool setAlpha(G4int A, G4int Z, G4double value);
+
+  /**
+   * Set the value of Ecnz.
+   */
+  G4bool setEcnz(G4int A, G4int Z, G4double value);
+
+  /**
+   * Set the value of Vgsld.
+   */
+  G4bool setVgsld(G4int A, G4int Z, G4double value);
+
+  /**
+   * Set the value of Pace2.
+   */
+  G4bool setPace2(G4int A, G4int Z, G4double value);
+
+  G4double getAlpha(G4int A, G4int Z);
+
+  /**
+   * Get the value of Alpha.
+   */
+  G4double getEcnz(G4int A, G4int Z);
+
+  /**
+   * Get the value of Vgsld.
+   */
+  G4double getVgsld(G4int A, G4int Z);
+
+  /**
+   * Get the value of Pace2.
+   */
+  G4double getPace2(G4int A, G4int Z);
+
+  G4int getAlphaRows();
+  G4int getAlphaCols();
+
+  G4int getPaceRows();
+  G4int getPaceCols();
+
+  virtual G4bool readData() = 0;
+	
+private:
+
+  static const G4int alphaRows = 155;
+  static const G4int alphaCols = 100;
+
+  static const G4int paceRows = 500;
+  static const G4int paceCols = 500;
+
+  G4double alpha[alphaRows][alphaCols];
+  G4double ecnz[alphaRows][alphaCols];
+  G4double vgsld[alphaRows][alphaCols];
+  G4double pace2[paceRows][paceCols];
+};
+
+#endif