Index: trunk/source/particles/shortlived/include/G4AntiNucleiConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4AntiNucleiConstructor.hh	(revision 1350)
+++ 	(revision )
@@ -1,71 +1,0 @@
-//
-// ********************************************************************
-// * License and Disclaimer                                           *
-// *                                                                  *
-// * The  Geant4 software  is  copyright of the Copyright Holders  of *
-// * the Geant4 Collaboration.  It is provided  under  the terms  and *
-// * conditions of the Geant4 Software License,  included in the file *
-// * LICENSE and available at  http://cern.ch/geant4/license .  These *
-// * include a list of copyright holders.                             *
-// *                                                                  *
-// * Neither the authors of this software system, nor their employing *
-// * institutes,nor the agencies providing financial support for this *
-// * work  make  any representation or  warranty, express or implied, *
-// * regarding  this  software system or assume any liability for its *
-// * use.  Please see the license in the file  LICENSE  and URL above *
-// * for the full disclaimer and the limitation of liability.         *
-// *                                                                  *
-// * This  code  implementation is the result of  the  scientific and *
-// * technical work of the GEANT4 collaboration.                      *
-// * By using,  copying,  modifying or  distributing the software (or *
-// * any work based  on the software)  you  agree  to acknowledge its *
-// * use  in  resulting  scientific  publications,  and indicate your *
-// * acceptance of all terms of the Geant4 Software license.          *
-// ********************************************************************
-//
-//
-// $Id: G4AntiNucleiConstructor.hh,v 1.1 2010/06/11 05:50:20 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
-//
-// 
-// --------------------------------------------------------------
-//
-//      GEANT 4 class implementation file 
-//
-//      first implementaion                11  June 2010 H.Kurashige
-//
-
-#ifndef G4AntiNucleiConstructor_h
-#define G4AntiNucleiConstructor_h 1
-
-#include "globals.hh"
-#include "G4ios.hh"
-class     G4DecayTable;
-
-class G4AntiNucleiConstructor
-{
-  //This class is a utility class for construction 
-  //short lived particles
-
-  public:
-    G4AntiNucleiConstructor();
-    virtual  ~G4AntiNucleiConstructor();
-  
-  public:
-    void Construct();
- 
-};
-
-#endif
-
-
-
-
-
-
-
-
-
-
-
-
Index: trunk/source/particles/shortlived/include/G4AntiNucleus.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4AntiNucleus.hh	(revision 1350)
+++ 	(revision )
@@ -1,67 +1,0 @@
-//
-// ********************************************************************
-// * License and Disclaimer                                           *
-// *                                                                  *
-// * The  Geant4 software  is  copyright of the Copyright Holders  of *
-// * the Geant4 Collaboration.  It is provided  under  the terms  and *
-// * conditions of the Geant4 Software License,  included in the file *
-// * LICENSE and available at  http://cern.ch/geant4/license .  These *
-// * include a list of copyright holders.                             *
-// *                                                                  *
-// * Neither the authors of this software system, nor their employing *
-// * institutes,nor the agencies providing financial support for this *
-// * work  make  any representation or  warranty, express or implied, *
-// * regarding  this  software system or assume any liability for its *
-// * use.  Please see the license in the file  LICENSE  and URL above *
-// * for the full disclaimer and the limitation of liability.         *
-// *                                                                  *
-// * This  code  implementation is the result of  the  scientific and *
-// * technical work of the GEANT4 collaboration.                      *
-// * By using,  copying,  modifying or  distributing the software (or *
-// * any work based  on the software)  you  agree  to acknowledge its *
-// * use  in  resulting  scientific  publications,  and indicate your *
-// * acceptance of all terms of the Geant4 Software license.          *
-// ********************************************************************
-//
-//
-// $Id: G4AntiNucleus.hh,v 1.1 2010/06/11 05:50:20 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
-//
-// 
-// --------------------------------------------------------------
-//      GEANT 4 class implementation file 
-//
-//      first implementaion                11  June 2010 H.Kurashige
-//
-// ----------------------------------------------------------------
-#ifndef G4AntiNucleus_h
-#define G4AntiNucleus_h 1
-
-
-#include "globals.hh"
-#include "G4ios.hh"
-#include "G4VShortLivedParticle.hh"
-
-// ######################################################################
-// ###                          AntiNucleus                                ###
-// ######################################################################
-
-class G4AntiNucleus : public G4VShortLivedParticle
-{
- public:
-   G4AntiNucleus(
-       const G4String&     aName,        G4double            mass,
-       G4double            width,        G4double            charge,   
-       G4int               iSpin,        G4int               iParity,    
-       G4int               iConjugation, G4int               iIsospin,   
-       G4int               iIsospin3,    G4int               gParity,
-       const G4String&     pType,        G4int               lepton,      
-       G4int               baryon,       G4int               encoding,
-       G4bool              stable,       G4double            lifetime,
-       G4DecayTable        *decaytable
-   );
-   virtual      ~G4AntiNucleus();
-};
-
-
-#endif
Index: trunk/source/particles/shortlived/src/G4AntiNucleiConstructor.cc
===================================================================
--- trunk/source/particles/shortlived/src/G4AntiNucleiConstructor.cc	(revision 1350)
+++ 	(revision )
@@ -1,130 +1,0 @@
-//
-// ********************************************************************
-// * License and Disclaimer                                           *
-// *                                                                  *
-// * The  Geant4 software  is  copyright of the Copyright Holders  of *
-// * the Geant4 Collaboration.  It is provided  under  the terms  and *
-// * conditions of the Geant4 Software License,  included in the file *
-// * LICENSE and available at  http://cern.ch/geant4/license .  These *
-// * include a list of copyright holders.                             *
-// *                                                                  *
-// * Neither the authors of this software system, nor their employing *
-// * institutes,nor the agencies providing financial support for this *
-// * work  make  any representation or  warranty, express or implied, *
-// * regarding  this  software system or assume any liability for its *
-// * use.  Please see the license in the file  LICENSE  and URL above *
-// * for the full disclaimer and the limitation of liability.         *
-// *                                                                  *
-// * This  code  implementation is the result of  the  scientific and *
-// * technical work of the GEANT4 collaboration.                      *
-// * By using,  copying,  modifying or  distributing the software (or *
-// * any work based  on the software)  you  agree  to acknowledge its *
-// * use  in  resulting  scientific  publications,  and indicate your *
-// * acceptance of all terms of the Geant4 Software license.          *
-// ********************************************************************
-//
-//
-// $Id: G4AntiNucleiConstructor.cc,v 1.1 2010/06/11 05:50:20 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
-//
-// 
-// --------------------------------------------------------------
-//      GEANT 4 class implementation file 
-//
-//      first implementaion                11  June 2010 H.Kurashige
-//
-
-#include "G4ParticleTable.hh"
-#include "G4AntiNucleus.hh"
-#include "G4AntiNucleiConstructor.hh"
-#include "G4PhaseSpaceDecayChannel.hh"
-#include "G4DecayTable.hh"
-
-
-G4AntiNucleiConstructor::G4AntiNucleiConstructor()
-{
-}
-
-G4AntiNucleiConstructor::~G4AntiNucleiConstructor()
-{
-}
-
-void G4AntiNucleiConstructor::Construct()
-{   
-  // create particle
-  //
-  //    Arguments for constructor are as follows
-  //               name             mass          width         charge
-  //             2*spin           parity  C-conjugation
-  //          2*Isospin       2*Isospin3       G-parity
-  //               type    lepton number  baryon number   PDG encoding
-  //             stable         lifetime    decay table
-  //             shortlived     
-  G4ParticleDefinition* p;
-  
-  // Deuteron
-  p = new G4AntiNucleus(
-      "anti_deuteron",    1.875613*GeV,       0.0*MeV,  -1.0*eplus,
-                    2,              +1,             0,
-                    0,               0,             0,
-       "anti_nucleus",               0,            -2, -1000010020,
-                 true,            -1.0,          NULL   
-      );
-  // Magnetic Moment
-  G4double mN = eplus*hbar_Planck/2./(proton_mass_c2 /c_squared);
-  p->SetPDGMagneticMoment( 0.857438230 * mN);
-
-  //particle registeration
-  p->SetAntiPDGEncoding(1000010020);
-
-
-  // Triton
-  p = new G4AntiNucleus(
-        "anti_triton",    2.808921*GeV,       0.0*MeV,  -1.0*eplus,
-                    1,              +1,             0,
-                    0,               0,             0,
-       "anti_nucleus",               0,            -3, -1000010030,
-                 true,            -1.0,          NULL
-     );
-  
-  // Magnetic Moment
-  mN = eplus*hbar_Planck/2./(proton_mass_c2 /c_squared);
-  p->SetPDGMagneticMoment( 2.97896248 * mN);
-
-  //particle registeration
-  p->SetAntiPDGEncoding(1000010030);
-
-
-  // He3
-  p = new G4AntiNucleus(
-           "anti_He3",    2.808391*GeV,       0.0*MeV,  -2.0*eplus,
-                    1,              +1,             0,
-                    0,               0,             0,
-       "anti_nucleus",               0,            -3, -1000020030,
-                 true,            -1.0,          NULL
-	   );
-  
-  // Magnetic Moment
-  mN = eplus*hbar_Planck/2./(proton_mass_c2 /c_squared);
-  p->SetPDGMagneticMoment( 2.97896248 * mN);
-
-  //particle registeration
-  p->SetAntiPDGEncoding(1000020030);
-
-  // He4 (Alpha)
-  p = new G4AntiNucleus(
-	 "anti_alpha",    3.727379*GeV,       0.0*MeV,  -2.0*eplus,
-                    0,              +1,             0,
-                    0,               0,             0,
-       "anti_nucleus",               0,            -4,  -1000020040,
-                 true,            -1.0,          NULL
-	   );
-  
-  // Magnetic Moment
-  mN = eplus*hbar_Planck/2./(proton_mass_c2 /c_squared);
-  p->SetPDGMagneticMoment( 2.97896248 * mN);
-
-  //particle registeration
-  p->SetAntiPDGEncoding(1000020040);
-
-}
Index: trunk/source/particles/shortlived/src/G4AntiNucleus.cc
===================================================================
--- trunk/source/particles/shortlived/src/G4AntiNucleus.cc	(revision 1350)
+++ 	(revision )
@@ -1,65 +1,0 @@
-//
-// ********************************************************************
-// * License and Disclaimer                                           *
-// *                                                                  *
-// * The  Geant4 software  is  copyright of the Copyright Holders  of *
-// * the Geant4 Collaboration.  It is provided  under  the terms  and *
-// * conditions of the Geant4 Software License,  included in the file *
-// * LICENSE and available at  http://cern.ch/geant4/license .  These *
-// * include a list of copyright holders.                             *
-// *                                                                  *
-// * Neither the authors of this software system, nor their employing *
-// * institutes,nor the agencies providing financial support for this *
-// * work  make  any representation or  warranty, express or implied, *
-// * regarding  this  software system or assume any liability for its *
-// * use.  Please see the license in the file  LICENSE  and URL above *
-// * for the full disclaimer and the limitation of liability.         *
-// *                                                                  *
-// * This  code  implementation is the result of  the  scientific and *
-// * technical work of the GEANT4 collaboration.                      *
-// * By using,  copying,  modifying or  distributing the software (or *
-// * any work based  on the software)  you  agree  to acknowledge its *
-// * use  in  resulting  scientific  publications,  and indicate your *
-// * acceptance of all terms of the Geant4 Software license.          *
-// ********************************************************************
-//
-//
-// $Id: G4AntiNucleus.cc,v 1.1 2010/06/11 05:50:20 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
-//
-// 
-// ----------------------------------------------------------------------
-//      GEANT 4 class implementation file
-//
-//
-//      first implementaion                11  June 2010 H.Kurashige
-//
-// ----------------------------------------------------------------
-
-
-#include <fstream>
-#include <iomanip>
-#include "G4AntiNucleus.hh"
-
- // ######################################################################
-// ###                           AntiNucleus                                ###
-// ######################################################################
-
-G4AntiNucleus::G4AntiNucleus(
-       const G4String&     aName,        G4double            mass,
-       G4double            width,        G4double            charge,   
-       G4int               iSpin,        G4int               iParity,    
-       G4int               iConjugation, G4int               iIsospin,   
-       G4int               iIsospin3,    G4int               gParity,
-       const G4String&     pType,        G4int               lepton,      
-       G4int               baryon,       G4int               encoding,
-       G4bool              stable,       G4double            lifetime,
-       G4DecayTable        *decaytable )
- : G4VShortLivedParticle( aName,mass,width,charge,iSpin,iParity,
-           iConjugation,iIsospin,iIsospin3,gParity,pType,
-           lepton,baryon,encoding,stable,lifetime,decaytable )
-{
-   SetParticleSubType("");
-}
-
-G4AntiNucleus::~G4AntiNucleus() {}